X2Go Bug report logs - #276
add sudo rule to keep QT_GRAPHICSSYSTEM as env var

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Pascal d'Hermilly <pascal@dhermilly.dk>

Date: Mon, 29 Jul 2013 14:03:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.6

Fixed in version 4.0.1.7

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goclient. (Mon, 29 Jul 2013 14:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal d'Hermilly <pascal@dhermilly.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 29 Jul 2013 14:03:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Pascal d'Hermilly <pascal@dhermilly.dk>
To: submit@bugs.x2go.org
Subject: qt/kde applications does not work as root.
Date: Mon, 29 Jul 2013 15:30:03 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.0

When I start qt/kde applications on the x2go server via the x2goclient, I get a grey application and a lot of error messages in the konsole. A workaround seems to be to change the graphicssystem to native instead of raster. However raster is the default in Kubuntu and it doesnt work when running things as root or through sudo.

administrator@desktops-x2go:~$ sudo dolphin --graphicssystem raster
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x420007d
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x420007d
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x420007d
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x420007d
X Error: BadPixmap (invalid Pixmap parameter) 4
  Major opcode: 54 (X_FreePixmap)
  Resource id:  0x420007d
X Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    129 (MIT-SHM)
  Minor opcode: 2 (X_ShmDetach)
  Resource id:  0x420007c
administrator@desktops-x2go:~$ sudo dolphin --graphicssystem native

this works fine. Also gtk applications such as gimp works fine as root.

This is quite a problem when you want to add/remove users and do other administrative things in KDE.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goclient. (Mon, 29 Jul 2013 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 29 Jul 2013 22:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 276@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Pascal d'Hermilly <pascal@dhermilly.dk>, 276@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#276: qt/kde applications does not work as root.
Date: Tue, 30 Jul 2013 00:25:03 +0200
[Message part 1 (text/plain, inline)]
reassign #276 x2goserver
found #276 4.0.1.6
thanks

Hi Pascal,

reassigning this bug report to X2Go Server, not X2Go Client.

On Mo 29 Jul 2013 15:30:03 CEST Pascal d'Hermilly wrote:

> When I start qt/kde applications on the x2go server via the  
> x2goclient, I get a grey application and a lot of error messages in  
> the konsole. A workaround seems to be to change the graphicssystem  
> to native instead of raster. However raster is the default in  
> Kubuntu and it doesnt work when running things as root or through  
> sudo.
>
> administrator@desktops-x2go:~$ sudo dolphin --graphicssystem raster
> X Error: BadDrawable (invalid Pixmap or Window parameter) 9
>   Major opcode: 62 (X_CopyArea)
>   Resource id:  0x420007d
> X Error: BadDrawable (invalid Pixmap or Window parameter) 9
>   Major opcode: 62 (X_CopyArea)
>   Resource id:  0x420007d
> X Error: BadDrawable (invalid Pixmap or Window parameter) 9
>   Major opcode: 62 (X_CopyArea)
>   Resource id:  0x420007d
> X Error: BadDrawable (invalid Pixmap or Window parameter) 9
>   Major opcode: 62 (X_CopyArea)
>   Resource id:  0x420007d
> X Error: BadPixmap (invalid Pixmap parameter) 4
>   Major opcode: 54 (X_FreePixmap)
>   Resource id:  0x420007d
> X Error: BadShmSeg (invalid shared segment parameter) 128
>   Extension:    129 (MIT-SHM)
>   Minor opcode: 2 (X_ShmDetach)
>   Resource id:  0x420007c
> administrator@desktops-x2go:~$ sudo dolphin --graphicssystem native
>
> this works fine. Also gtk applications such as gimp works fine as root.
>
> This is quite a problem when you want to add/remove users and do  
> other administrative things in KDE.
>

In x2goruncommand (the server-side script that is responsible for any  
application startup) sets this env var:

"""
# disable rastering in >= KDE4.8 and Qt4.8
export QT_GRAPHICSSYSTEM=native
"""

That piece of info probably gets lost during the sudo call you perform.

Maybe you want to play with /etc/sudoers...

""" special line in sudo
%admins ALL=(ALL) SETENV: /usr/bin/dolphin
"""

And then: sudo dolphin

Does that work?
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goclient' to 'x2goserver'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 29 Jul 2013 22:33:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.1.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 29 Jul 2013 22:33:03 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.6. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 29 Jul 2013 22:33:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Tue, 30 Jul 2013 00:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal d'Hermilly <pascal@dhermilly.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 00:48:02 GMT) Full text and rfc822 format available.

Message #21 received at 276@bugs.x2go.org (full text, mbox):

From: Pascal d'Hermilly <pascal@dhermilly.dk>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 276@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#276: qt/kde applications does not work as root.
Date: Tue, 30 Jul 2013 02:15:59 +0200
Den 30-07-2013 00:25, Mike Gabriel skrev:
>
> Maybe you want to play with /etc/sudoers... 
adding the following fixes the behaviour
Defaults        env_keep +="QT_GRAPHICSSYSTEM"

(and running : service sudo restart)

I hope the x2go program can setup this by itself in the future.

However quite important is that with Qt5 the "native" qt_graphicssystem is being removed. Will x2go work with qt5 application?


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Tue, 30 Jul 2013 08:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 08:18:01 GMT) Full text and rfc822 format available.

Message #26 received at 276@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Pascal d'Hermilly <pascal@dhermilly.dk>
Cc: 276@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#276: qt/kde applications does not work as root.
Date: Tue, 30 Jul 2013 10:17:48 +0200
[Message part 1 (text/plain, inline)]
retitle #276 add sudo rule to keep QT_GRAPHICSSYSTEM as env var
thanks

Hi Pascal,

On Di 30 Jul 2013 02:15:59 CEST Pascal d'Hermilly wrote:

> Den 30-07-2013 00:25, Mike Gabriel skrev:
>>
>> Maybe you want to play with /etc/sudoers...
> adding the following fixes the behaviour
> Defaults        env_keep +="QT_GRAPHICSSYSTEM"

Yes, we can do that.

> (and running : service sudo restart)
>
> I hope the x2go program can setup this by itself in the future.
>
> However quite important is that with Qt5 the "native"  
> qt_graphicssystem is being removed. Will x2go work with qt5  
> application?
>

Probably not or if then very slow. X2Go does not handle desktop shell  
that do the rendering server-side very well. With widget toolkits that  
do the rendering on the server (as opposed to pushing X objects over  
the network and leave the rendering to the client) X2Go does not  
perform so well.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'add sudo rule to keep QT_GRAPHICSSYSTEM as env var' from 'qt/kde applications does not work as root.' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 30 Jul 2013 08:18:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Tue, 30 Jul 2013 09:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal d'Hermilly <pascal@dhermilly.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 09:03:01 GMT) Full text and rfc822 format available.

Message #33 received at 276@bugs.x2go.org (full text, mbox):

From: Pascal d'Hermilly <pascal@dhermilly.dk>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 276@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#276: qt/kde applications does not work as root.
Date: Tue, 30 Jul 2013 10:59:00 +0200
[Message part 1 (text/plain, inline)]
Den 30-07-2013 10:17, Mike Gabriel skrev:
>>
>> However quite important is that with Qt5 the "native" qt_graphicssystem is being removed. Will x2go work with qt5 application?
>>
>
> Probably not or if then very slow. X2Go does not handle desktop shell that do the rendering server-side very well. With widget toolkits that do the rendering on the server (as opposed to pushing X objects over the network and leave the rendering to the client) X2Go does not perform so well.
According to http://vizzzion.org/blog/2013/07/the-next-kubuntu-graphics-stack/ Kubuntu 14.10 will ship with KDE Plasma Workspaces 2 (QT5) that depends on wayland. Will x2go be relevant in this setup? the name suggests a dependency of X.
Obviously X will be around for a fair amount of time, but the new KDE will not run on it.

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Tue, 30 Jul 2013 10:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 10:03:02 GMT) Full text and rfc822 format available.

Message #38 received at 276@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Pascal d'Hermilly <pascal@dhermilly.dk>
Cc: 276@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#276: qt/kde applications does not work as root.
Date: Tue, 30 Jul 2013 11:56:52 +0200
[Message part 1 (text/plain, inline)]
Hi Pascal,

On Di 30 Jul 2013 10:59:00 CEST Pascal d'Hermilly wrote:

> Den 30-07-2013 10:17, Mike Gabriel skrev:
>>>
>>> However quite important is that with Qt5 the "native"  
>>> qt_graphicssystem is being removed. Will x2go work with qt5  
>>> application?
>>>
>>
>> Probably not or if then very slow. X2Go does not handle desktop  
>> shell that do the rendering server-side very well. With widget  
>> toolkits that do the rendering on the server (as opposed to pushing  
>> X objects over the network and leave the rendering to the client)  
>> X2Go does not perform so well.
> According to  
> http://vizzzion.org/blog/2013/07/the-next-kubuntu-graphics-stack/  
> Kubuntu 14.10 will ship with KDE Plasma Workspaces 2 (QT5) that  
> depends on wayland. Will x2go be relevant in this setup? the name  
> suggests a dependency of X.
> Obviously X will be around for a fair amount of time, but the new  
> KDE will not run on it.
>

X2Go only works with applications that run as X11 clients. The  
x2goagent binary is an X-Server that the applications connect to when  
started.

I cannot image that Qt5 fully lacks X11 support. Only thing is that  
Ubuntu migrates to Mir (not Wayland AFAIK) and heavily pushses  
resources into Qt development (as Unity and Unity Greeter will move to  
Qt as widget framework).

If the upstream people of KDE decide for that path, then X2Go will  
have to make it without KDE.

Greets,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Tue, 30 Jul 2013 10:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal d'Hermilly <pascal@dhermilly.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 10:33:02 GMT) Full text and rfc822 format available.

Message #43 received at 276@bugs.x2go.org (full text, mbox):

From: Pascal d'Hermilly <pascal@dhermilly.dk>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 276@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#276: qt/kde applications does not work as root.
Date: Tue, 30 Jul 2013 12:31:18 +0200
Den 30-07-2013 11:56, Mike Gabriel skrev:
> Hi Pascal,
>
> On Di 30 Jul 2013 10:59:00 CEST Pascal d'Hermilly wrote:
>
>> Den 30-07-2013 10:17, Mike Gabriel skrev:
>>>>
>>>> However quite important is that with Qt5 the "native" qt_graphicssystem is being removed. Will x2go work with qt5 application?
>>>>
>>>
>>> Probably not or if then very slow. X2Go does not handle desktop shell that do the rendering server-side very well. With widget toolkits that do the rendering on the server (as opposed to pushing X objects over the network and leave the rendering to the client) X2Go does not perform so well.
>> According to http://vizzzion.org/blog/2013/07/the-next-kubuntu-graphics-stack/ Kubuntu 14.10 will ship with KDE Plasma Workspaces 2 (QT5) that depends on wayland. Will x2go be relevant in this setup? the name suggests a dependency of X.
>> Obviously X will be around for a fair amount of time, but the new KDE will not run on it.
>>
>
> X2Go only works with applications that run as X11 clients. The x2goagent binary is an X-Server that the applications connect to when started.
>
> I cannot image that Qt5 fully lacks X11 support. Only thing is that Ubuntu migrates to Mir (not Wayland AFAIK) and heavily pushses resources into Qt development (as Unity and Unity Greeter will move to Qt as widget framework).
QT5 does not lack X11 support, but as I understand it it will remove the "graphicssystem" arg and raster through mesa.

Also I wrote something wrong. KDE Plasma workspaces 2 support, not depend on, wayland.
Sorry for the misinformation.
//Pascal
>
> If the upstream people of KDE decide for that path, then X2Go will have to make it without KDE.
>
> Greets,
> Mike
>
>
>


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Wed, 31 Jul 2013 06:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 31 Jul 2013 06:03:02 GMT) Full text and rfc822 format available.

Message #48 received at 276@bugs.x2go.org (full text, mbox):

From: Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>
To: "Pascal d'Hermilly" <pascal@dhermilly.dk>, 276@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#276: Bug#276: qt/kde applications does not work as root.
Date: Wed, 31 Jul 2013 07:58:53 +0200
[Message part 1 (text/plain, inline)]
Hi Pascal,

I got the same problem.


2013/7/30 Pascal d'Hermilly <pascal@dhermilly.dk>

> > Maybe you want to play with /etc/sudoers...
> adding the following fixes the behaviour
> Defaults        env_keep +="QT_GRAPHICSSYSTEM"
>
> (and running : service sudo restart)



Can you copy/paste the content of your /etc/sudoers? I just tried to add
this line after Defaults and doesn't work for me. I also tried to comment
Defaults

--
<http://www.oceanosoft.com>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Wed, 31 Jul 2013 07:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 31 Jul 2013 07:18:02 GMT) Full text and rfc822 format available.

Message #53 received at 276@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>
Cc: Pascal d'Hermilly <pascal@dhermilly.dk>, 276@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#276: Bug#276: qt/kde applications does not work as root.
Date: Wed, 31 Jul 2013 09:08:52 +0200
[Message part 1 (text/plain, inline)]
Hi Pascal,

On Mi 31 Jul 2013 07:58:53 CEST Ricardo Díaz Martín wrote:

> Hi Pascal,
>
> I got the same problem.
>
>
> 2013/7/30 Pascal d'Hermilly <pascal@dhermilly.dk>
>
>> > Maybe you want to play with /etc/sudoers...
>> adding the following fixes the behaviour
>> Defaults        env_keep +="QT_GRAPHICSSYSTEM"
>>
>> (and running : service sudo restart)
>
> Can you copy/paste the content of your /etc/sudoers? I just tried to add
> this line after Defaults and doesn't work for me. I also tried to comment
> Defaults

Yes, that would be good. Please provide a file that works when being  
placed into /etc/sudoers.d/.

Thanks!
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Wed, 31 Jul 2013 08:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal d'Hermilly <pascal@dhermilly.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 31 Jul 2013 08:48:01 GMT) Full text and rfc822 format available.

Message #58 received at 276@bugs.x2go.org (full text, mbox):

From: Pascal d'Hermilly <pascal@dhermilly.dk>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>, 276@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#276: Bug#276: qt/kde applications does not work as root.
Date: Wed, 31 Jul 2013 10:33:16 +0200
[Message part 1 (text/plain, inline)]
Den 31-07-2013 09:08, Mike Gabriel skrev:
>>>
>>
>> Can you copy/paste the content of your /etc/sudoers? I just tried to add
>> this line after Defaults and doesn't work for me. I also tried to comment
>> Defaults
>
> Yes, that would be good. Please provide a file that works when being placed into /etc/sudoers.d/. 

Actually mine broke again, because I apparently didn't use visudo. Anyway, I made a 3-step guide for getting it to work. This time I tested after a restart ;-)
Do as root:

echo "Defaults        env_keep +=\"QT_GRAPHICSSYSTEM\"" > /etc/sudoers.d/X2Go
chmod 0440 /etc/sudoers.d/X2Go
service sudo restart
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Wed, 31 Jul 2013 10:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 31 Jul 2013 10:03:02 GMT) Full text and rfc822 format available.

Message #63 received at 276@bugs.x2go.org (full text, mbox):

From: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
To: Pascal d'Hermilly <pascal@dhermilly.dk>, 276@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>
Subject: Re: [X2Go-Dev] Bug#276: Bug#276: Bug#276: qt/kde applications does not work as root.
Date: Wed, 31 Jul 2013 11:47:40 +0200
[Message part 1 (text/plain, inline)]
On 2013-07-31 10:33, Pascal d'Hermilly wrote:
>
> Actually mine broke again, because I apparently didn't use visudo.
> Anyway, I made a 3-step guide for getting it to work. This time I
> tested after a restart ;-)
> Do as root:
>
> echo "Defaults        env_keep +=\"QT_GRAPHICSSYSTEM\"" >
> /etc/sudoers.d/X2Go
> chmod 0440 /etc/sudoers.d/X2Go
> service sudo restart

Could you put that on the wiki?

Thanks
Morty

-- 
Dipl.-Ing. Moritz 'Morty' Struebe (Wissenschaftlicher Mitarbeiter)
Lehrstuhl für Informatik 4 (Verteilte Systeme und Betriebssysteme)
Friedrich-Alexander-Universität Erlangen-Nürnberg
Martensstr. 1
91058 Erlangen

Tel   : +49 9131 85-25419
Fax   : +49 9131 85-28732
eMail : struebe@informatik.uni-erlangen.de
WWW   : http://www4.informatik.uni-erlangen.de/~morty



[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Wed, 31 Jul 2013 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 31 Jul 2013 10:33:02 GMT) Full text and rfc822 format available.

Message #68 received at 276@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
Cc: Pascal d'Hermilly <pascal@dhermilly.dk>, 276@bugs.x2go.org, Ricardo Díaz Martín <ricardo.diaz@oceanosoft.com>
Subject: Re: [X2Go-Dev] Bug#276: Bug#276: Bug#276: qt/kde applications does not work as root.
Date: Wed, 31 Jul 2013 12:22:06 +0200
[Message part 1 (text/plain, inline)]
Hi Morty,

On Mi 31 Jul 2013 11:47:40 CEST Moritz Struebe wrote:

> On 2013-07-31 10:33, Pascal d'Hermilly wrote:
>>
>> Actually mine broke again, because I apparently didn't use visudo.
>> Anyway, I made a 3-step guide for getting it to work. This time I
>> tested after a restart ;-)
>> Do as root:
>>
>> echo "Defaults        env_keep +=\"QT_GRAPHICSSYSTEM\"" >
>> /etc/sudoers.d/X2Go
>> chmod 0440 /etc/sudoers.d/X2Go
>> service sudo restart
>
> Could you put that on the wiki?

I plan to add such a sudoers.d/x2goserver file in the next release of  
X2Go server.

No need for the wiki page.
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Wed, 18 Sep 2013 22:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 18 Sep 2013 22:03:02 GMT) Full text and rfc822 format available.

Message #73 received at 276@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 276-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 276@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Wed, 18 Sep 2013 23:57:19 +0200 (CEST)
tag #276 pending
fixed #276 4.0.1.7
thanks

Hello,

X2Go issue #276 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=eff2d25

The issue will most likely be fixed in src:x2goserver (4.0.1.7).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit eff2d25a50671382d578e3fc9a9f0a1e04f75bb1
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Sep 18 23:56:35 2013 +0200

    Provide sudoers.d/x2goserver file that allows sudoed commands under KDE (by pertaining the env var QT_GRAPHICSSYSTEM. (Fixes: #276).

diff --git a/debian/changelog b/debian/changelog
index 9ac7b64..ae4f45c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,8 @@ x2goserver (4.0.1.7-0~x2go1) UNRELEASED; urgency=low
       (Fixes: #278).
     - Fix automatic keyboard setup (via x2gosetkeyboard) while resuming a session.
       (Fixes: #285).
+    - Provide sudoers.d/x2goserver file that allows sudoed commands under
+      KDE (by pertaining the env var QT_GRAPHICSSYSTEM. (Fixes: #276).
   * /debian/control:
     - Update LONG_DESCRIPTIONS.
     - Move xfonts-base from Recommends: field to Depends: field (bin:package


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 18 Sep 2013 22:03:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.7. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 18 Sep 2013 22:03:03 GMT) Full text and rfc822 format available.

Message sent on to Pascal d'Hermilly <pascal@dhermilly.dk>:
Bug#276. (Wed, 18 Sep 2013 22:03:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#276; Package x2goserver. (Fri, 22 Nov 2013 21:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Nov 2013 21:03:01 GMT) Full text and rfc822 format available.

Message #85 received at 276@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 276-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 276@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 22 Nov 2013 21:59:27 +0100 (CET)
close #276
thanks

Hello,

we are very hopeful that X2Go issue #276 reported by you
has been resolved in the new release (4.0.1.7) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.7)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=447e68e8b82ea4b14e5072e57a0fbc82ef32d687;hp=2d19587c215d49048b6295d87c06c452939a1b8b

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.7
Status: RELEASE
Date: Fri, 22 Nov 2013 21:58:27 +0100
Fixes: 276 278 285 305 310 331
Changes: 
 x2goserver (4.0.1.7) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.7):
     - Install Xsession file as executable, make Xsession.d directory location
       configurable during build process, do not create unused Xsession.options.
       (Fixes: #278).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.7):
     - Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has Xsession.d and/or
       Xsession.options they get symlinked into /etc/x2go. Otherwise Xsession.d
       and Xsession.options are created under /etc/x2go as empty dir/file.
       (Fixes: #278).
     - Fix automatic keyboard setup (via x2gosetkeyboard) while resuming a
       session. (Fixes: #285).
     - Provide sudoers.d/x2goserver file that allows sudoed commands under
       KDE (by pertaining the env var QT_GRAPHICSSYSTEM. (Fixes: #276).
     - With PostgreSQL as session db backend, prevent the root user from
       launching sessions. Also, prevent x2gouser_root from being added as a
       PostgreSQL user. (Fixes: #310).
     - Execute DB status changes as late as possible during suspend / terminate.
     - Start/resume rootless sessions without geometry parameter. Esp. using
       X2GO_GEOMETRY=fullscreen for rootless sessions lead to an extra 1x1 px
       session window (nxagentCreateIconWindow in nxagent's Window.c).
     - Typo fix in x2goruncommand (for MATE session startup).
   * debian/control:
     + Update LONG_DESCRIPTIONS.
     + Raise Standards: to 3.9.4 (no changes needed).
     + Move xfonts-base to Recommends: field of bin:package x2goserver.
   * debian/x2goserver.init:
     + Make init script LSB compliant.
 .
   [ Helmer Teles ]
   * New upstream version (4.0.1.7):
     - Make umask that is used when mounting client-side folders via SSHFS
       configurable in x2goserver.conf. (Fixes: #331).
 .
   [ Jürgen Hötzel ]
   * New upstream version (4.0.1.7):
     - Use bash-builtin 'type' instead of to be avoided 'which'. (Fixes: #305).
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.0.6):
     - Fix x2goruncommand: "type -P $cmd" can create new lines in EXEC
       variable if command have the arguments wich have same names as existing
       commands, for example "rdesktop -k nl" -> "/usr/bin/rdesktop\n/usr/bin/nl".
       Now we splitting $cmd and taking only first part.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 22 Nov 2013 21:03:04 GMT) Full text and rfc822 format available.

Notification sent to Pascal d'Hermilly <pascal@dhermilly.dk>:
Bug acknowledged by developer. (Fri, 22 Nov 2013 21:03:04 GMT) Full text and rfc822 format available.

Message sent on to Pascal d'Hermilly <pascal@dhermilly.dk>:
Bug#276. (Fri, 22 Nov 2013 21:03:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 21 Dec 2013 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Apr 19 05:13:42 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.